Last modified: 2014-08-10 11:38:30 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 62179 - Echo API links to missing Echo API help page
Echo API links to missing Echo API help page
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Echo (Other open bugs)
master
All All
: Unprioritized minor (vote)
: ---
Assigned To: Kunal Mehta (Legoktm)
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2014-03-04 06:33 UTC by spage
Modified: 2014-08-10 11:38 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description spage 2014-03-04 06:33:04 UTC
In Special:ApiSandbox and in http://en.wikipedia.org/w/api.php, the help for query meta=notifications and for action=echomarkread is a link to https://www.mediawiki.org/wiki/Echo_(notifications)/API , but the page doesn't exist.

I couldn't find a page with more information about the Echo API, and getHelpUrls() in api/ApiEchoNotifications.php which returns this URL dates from 2012, so this page was probably never written.
Comment 1 Jared Zimmerman (WMF) 2014-03-23 05:36:37 UTC
Should this actually be "Echo API lacks documentation"
Comment 2 Maarten Dammers 2014-05-04 19:52:11 UTC
https://www.mediawiki.org/wiki/Echo_%28Notifications%29 looks more like a braindump than structured documentation. The api (https://www.mediawiki.org/w/api.php) links to https://www.mediawiki.org/wiki/Echo_%28notifications%29/API for documentation, but that page doesn't exist.

This documentation needs a bit of wikilove.
Comment 3 Kunal Mehta (Legoktm) 2014-08-10 11:38:30 UTC
https://www.mediawiki.org/wiki/Echo_%28notifications%29/API created!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links